Name:		hardinfo2
Version:	2.2.10
Release:	%mkrel 1
Summary:	A System Information and Benchmark for Linux
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		https://www.hardinfo2.org/
Source0:	https://github.com/hardinfo2/hardinfo2/archive/release-%{version}/%{name}-release-%{version}.tar.gz
Patch0:		hardinfo2-desktop-file.patch
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	pciutils
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5OpenGL)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-png)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	lm_sensors-devel
Requires:	pciutils

Recommends:	lm_sensors
Recommends:	sysbench
Recommends:	lsscsi
Recommends:	eglinfo
Recommends:	glxinfo
Recommends:	mesa-demos
Recommends:	dmidecode
Recommends:	udisks2
Recommends:	xdg-utils
Recommends:	iperf
Recommends:	fwupd

Obsoletes:	hardinfo < 0.6-0.git20231013.2
Provides:	hardinfo = %{version}-%{release}

%description
Hardinfo2 is based on hardinfo, which have not been released >10 years.
Hardinfo2 is the reboot that was needed.

Hardinfo2 offers System Information and Benchmark for Linux Systems. It is able
to obtain information from both hardware and basic software. It can benchmark
your system and compare to other machines online.

Features include:
 - Report generation (in either HTML or plain text)
 - Online Benchmarking - compare your machine against other machines

%prep
%autosetup -p1 -n %{name}-release-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

desktop-file-install --vendor="" \
  --set-generic-name='Hardware Information' \
  --add-category="Settings;HardwareSettings;" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/hwinfo2_fetch_sysdata
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_unitdir}/%{name}.service
%{_metainfodir}/org.hardinfo2.%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Apr 01 2025 daviddavid <daviddavid> 2.2.10-1.mga10
+ Revision: 2172502
- new version: 2.2.10

* Tue Feb 04 2025 daviddavid <daviddavid> 2.2.7-1.mga10
+ Revision: 2145143
- new version: 2.2.7

* Thu Dec 12 2024 daviddavid <daviddavid> 2.2.4-1.mga10
+ Revision: 2123884
- new version: 2.2.4

* Sat Oct 26 2024 daviddavid <daviddavid> 2.2.1-1.mga10
+ Revision: 2111266
- new version: 2.2.1

* Wed Oct 02 2024 daviddavid <daviddavid> 2.1.17-1.mga10
+ Revision: 2102686
- new version: 2.1.17

* Thu Sep 05 2024 daviddavid <daviddavid> 2.1.14-1.mga10
+ Revision: 2093238
- new version: 2.1.14

* Tue Jun 18 2024 daviddavid <daviddavid> 2.1.11-2.mga10
+ Revision: 2074745
- add some missing recommended pkgs (mga#32993#c12)

* Fri May 31 2024 daviddavid <daviddavid> 2.1.11-1.mga10
+ Revision: 2068982
- new version: 2.1.11

* Mon May 27 2024 daviddavid <daviddavid> 2.1.8-1.mga10
+ Revision: 2067905
- new version: 2.1.8

* Mon May 20 2024 daviddavid <daviddavid> 2.1.2-1.mga10
+ Revision: 2065165
- new version: 2.1.2

* Fri Mar 22 2024 daviddavid <daviddavid> 2.0.18-1.mga10
+ Revision: 2051265
- new version: 2.0.18 (from new hardinfo2 project)
- obsoletes/provides deprecated hardinfo
- switch to new hardinfo2 project at https://www.hardinfo2.org (mga#32993)

* Sat Oct 14 2023 kekepower <kekepower> 0.6-0.git20231013.1.mga10
+ Revision: 1996733
- Update to git master 20231013

* Wed Mar 01 2023 kekepower <kekepower> 0.6-0.git20230301.1.mga9
+ Revision: 1946194
- Update to git release 20230301

* Tue Oct 11 2022 ghibo <ghibo> 0.6-0.git20220724.1.mga9
+ Revision: 1896215
- Update to git 20220724

* Mon Mar 28 2022 ghibo <ghibo> 0.6-0.git20211205.1.mga9
+ Revision: 1829880
- Update to git 20211205

* Sat Mar 13 2021 ghibo <ghibo> 0.6-0.git20210221.1.mga9
+ Revision: 1702281
- Update to git 20210221.
- Use gtk3.
- Add lm_sensors-devel to BuildRequires.

* Tue Aug 18 2020 martinw <martinw> 0.6-0.git20200817.1.mga8
+ Revision: 1614680
- Update to snapshot 20200817

* Tue Feb 18 2020 umeabot <umeabot> 0.6-0.git20191228.2.mga8
+ Revision: 1541488
- Mageia 8 Mass Rebuild

* Sat Dec 28 2019 kekepower <kekepower> 0.6-0.git20191228.1.mga8
+ Revision: 1474542
- Update to snapshot 20191228

* Fri Dec 27 2019 kekepower <kekepower> 0.6-0.git20191223.1.mga8
+ Revision: 1470717
- Update to snapshot 20191223
- Use new cmake macros

* Fri Jul 05 2019 kekepower <kekepower> 0.6-0.git20190705.1.mga8
+ Revision: 1418708
- Update to release git20190705 to fix a memory leak

* Thu Jul 04 2019 kekepower <kekepower> 0.6-0.git20190701.1.mga8
+ Revision: 1418172
- Update to release 0.6-git20190701

* Sun May 26 2019 kekepower <kekepower> 0.6-0.git20190525.1.mga7
+ Revision: 1399163
- Update to release git20190525

* Thu Jan 17 2019 kekepower <kekepower> 0.6-0.git20190115.1.mga7
+ Revision: 1357512
- Update to release git20190115

* Thu Dec 06 2018 kekepower <kekepower> 0.6-0.git20181203.1.mga7
+ Revision: 1338702
- Update to git branch from 20181203
- Fix wrong path (mga#23943)

* Sun Sep 23 2018 umeabot <umeabot> 0.5.2-0.git20180615.2.mga7
+ Revision: 1298165
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 0.5.2-0.git20180615.1.mga7
+ Revision: 1238507
- update to latest git snapshot
- switch to cmake build

* Thu Jun 21 2018 wally <wally> 0.5.1-14.mga7
+ Revision: 1238503
- add patch to fix build on aarch64
- use mga optflags
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 tv <tv> 0.5.1-12.mga6
+ Revision: 902953
- patch 0: fix build
- BR pkgconfig(liblzma)

* Wed Jan 07 2015 alexl <alexl> 0.5.1-10.mga5
+ Revision: 808944
- added Comment in desktop file

* Wed Jan 07 2015 alexl <alexl> 0.5.1-9.mga5
+ Revision: 808943
- added GenericName in desktop file
- updated url tag

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-8.mga5
+ Revision: 748227
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-7.mga5
+ Revision: 680081
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.1-6.mga4
+ Revision: 505450
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5.1-5.mga3
+ Revision: 353100
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.5.1-4.mga3
+ Revision: 323779
- rebuild for new pcre

* Mon Aug 06 2012 luigiwalser <luigiwalser> 0.5.1-3.mga3
+ Revision: 278984
- rebuild for libffi

* Mon Sep 05 2011 doktor5000 <doktor5000> 0.5.1-1.mga2
+ Revision: 138900
- add BuildRequires on desktop-file-utils
- cleaned spec and minor cosmetics
- imported package hardinfo

